%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           fedora-raffle
Version:        0.6.1
Release:        1%{?dist}
Summary:        Hold a raffle

Group:          Development/Languages
License:        GPLv2+
URL:            http://toshio.fedorapeople.org/raffle
Source0:        http://toshio.fedorapeople.org/raffle/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires: TurboGears2
Requires: python-kitchen
%if 0%{?rhel} <= 5
Requires: python-sqlalchemy0.5
%else
Requires: python-sqlalchemy >= 0.5
%endif
Requires: python-psycopg2
%if (0%{?rhel} && 0%{?rhel} <= 6) || (0%{?fedora} && 0%{?fedora} <= 15)
Requires: python-mako0.4
BuildRequires: python-mako0.4
%else
Requires: python-mako >= 0.4
BuildRequires: python-mako >= 0.4
%endif

Requires: python-fedora >= 0.3.25
Requires: mod_wsgi

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-kitchen
BuildRequires: TurboGears2

%description
A small web application to hold a raffle.


%prep
%setup -q


%build
python setup.py build

%install
rm -rf %{buildroot}

%global pkgdir %{_datadir}/fedora-raffle
%global confdir %{_sysconfdir}/raffle
%global sbindir %{_sbindir}
%global cachedir %{_localstatedir}/cache/fedora-raffle

sed -e 's!@pkgdir@!%{pkgdir}!' -e 's!@sbindir@!%{sbindir}!' < httpd-raffle.conf.in > httpd-raffle.conf
sed -e 's!@pkgdir@!%{pkgdir}!' -e 's!@confdir@!%{confdir}!' < raffle.wsgi.in > raffle.wsgi
sed -e 's!@cachedir@!%{cachedir}!' < development.ini.in > development.ini

%{__python} setup.py install --skip-build --root %{buildroot}

install -d %{buildroot}%{pkgdir}
mv %{buildroot}%{python_sitelib}/* %{buildroot}%{pkgdir}

install -d %{buildroot}%{sbindir}
install -m 0755 raffle.wsgi %{buildroot}%{_sbindir}/raffle.wsgi

install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 0644 httpd-raffle.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/raffle.conf

install -d %{buildroot}%{confdir}
install -m 0600 development.ini %{buildroot}%{_sysconfdir}/raffle/development.ini

install -d %{buildroot}%{cachedir}/templates

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_datadir}/fedora-raffle/
%{_sbindir}/raffle.wsgi
%config(noreplace) %{_sysconfdir}/raffle/
%config(noreplace) %{_sysconfdir}/httpd/conf.d/raffle.conf
%attr(0755, apache, apache) %{cachedir}/

%changelog
* Thu Nov 17 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.1-1
- Brown paper bag release.  Need to create tarball in a clean checkout

* Thu Nov 17 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6-1
- Use an internal jqueyr instead of loading from a CDN.

* Thu Nov 3 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5-2
- Page load optimization by moving jquery loading into the <body>

* Thu Nov 3 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5-1
- RHEL6 fixes and some polish

* Tue Oct 25 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.4-1
- More end user bugfixes.

* Tue Oct 18 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.3-1
- Bugfixes

* Mon Oct 17 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2-1
- Bugfixes

* Mon Sep 27 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-2
- Add cachedir

* Mon Sep 5 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-1
- Initial build
